Manuels Canvas (fr)Guide des bases de Canvas Informations généralesQuelles sont les exigences en matière de navigateur et d'ordinateur pour Canvas ?

Quelles sont les exigences en matière de navigateur et d'ordinateur pour Canvas ?

Pour de meilleures performances, Canvas doit être utilisé sur la version actuelle ou la première version majeure précédente de Chrome, Firefox, Edge ou Safari. Parce qu'il est construit en utilisant les normes du Web, Canvas fonctionne sous Windows, Mac, Linux, iOS, Android, ou tout autre appareil disposant d'un navigateur web moderne.

Canvas requiert uniquement un système d'exploitation capable d'exécuter les derniers navigateurs web compatibles. Le système d'exploitation de votre ordinateur doit être maintenu à jour avec les dernières mises à jour et mises à niveau de sécurité recommandées. 

Navigateurs supportés

Canvas supports the current and first previous major releases of the following browsers:

Vous devriez toujours utiliser la version la plus récente de votre navigateur préféré. Votre navigateur devrait vous prévenir lorsqu'une nouvelle version est disponible.

Remarque : Safari 13.1 contient une mise à jour qui peut causer des problèmes lors du téléchargement de fichiers et des alertes de chat dans Canvas. Les ingénieurs de Canvas travaillent actuellement à la résolution de ce problème. En attendant, pour éviter les erreurs avec les fichiers et les alertes, vous pouvez désactiver la prévention du suivi intersite dans Safari lorsque vous utilisez Canvas. Si la désactivation du suivi intersite ne permet pas de résoudre ces problèmes, veuillez essayer l'un des autres navigateurs pris en charge.

Bannière navigateur non supporté

Certains navigateurs supportés peuvent cependant afficher une bannière indiquant que Votre navigateur ne répond pas aux exigences minimales pour Canvas. Si vous avez mis à jour la version de votre navigateur, mais que vous voyez toujours cette bannière, essayez de vous déconnecter de Canvas et de supprimer les cookies de votre navigateur.

Navigateurs en version support étendu pour entreprise

Chrome et Firefox proposent des versions à support étendu pour les organisations gérant des parcs de machines clientes. Chrome ESR peut être maintenu à jour à égalité avec la version complète de Chrome à tout moment. En revanche, Firefox ESR n’est mis à jour que toutes les sept versions majeures, ce qui amène Firefox ESR à correspondre à des versions anciennes et obsolètes. La page internet de Firefox ESR signale que l’ESR peut ne pas être prise en charge par certaines applications web à cause de ce décalage entre les versions. Les établissements utilisant Firefox ESR doivent envisager de déployer la dernière version pour garantir la meilleure expérience utilisateur possible sous Canvas.

* La bannière d'avertissement s'applique également pour les versions de navigateurs à support étendu, la bannière d'avertissement. Elle est visible dans Canvas pour toutes les versions de navigateurs inférieures au minimum requis.

Comportements de navigateurs connus

Comme pour toutes les fonctionnalités Canvas, les comportements anormaux en lien avec les différents navigateurs sont une priorité par nos équipes produits, et certains comportements des versions précédentes peuvent ne pas avoir été résolus. Si un comportement était disponible avec une version précédente du navigateur et qu’elle n’existe plus avec l’actuelle, la meilleure solution est de mettre à jour le navigateur dans sa dernière version.

Accessibilité

Canvas met un point d'honneur à suivre la Web Accessibility Initiative du W3C. Pour en savoir plus sur les combinaisons de navigateurs et de lecteurs d'écrans pris en charge, rendez-vous sur le document L'accessibilité dans Canvas.

JavaScript

JavaScript doit être autorisé pour utiliser Canvas.

Extensions et plugins du navigateur

Certains plugins et extensions de navigateur peuvent entrer en conflit avec Canvas et affecter ses fonctionnalités. Si vous subissez un comportement qui vous empêche de voir ou de participer aux cours Canvas, assurez-vous d'avoir désactivé toute extension ou plugin susceptible d'interagir directement avec votre navigateur web.

À des fins de dépannage, essayez de vous connecter à Canvas en mode incognito ou navigateur privée, ce qui vous fournira une session de navigation sans historique de navigation ou de recherche, sans cookies associés, ou autres facteurs susceptibles d'interférer avec votre navigateur. Si vous pouvez voir et participer aux cours Canvas en mode incognito ou navigation privée, le problème est probablement lié à votre navigateur plutôt qu'à Canvas.

Paramètres de confidentialité du navigateur

Pour garantir la sécurité du navigateur, veuillez suivre toutes les politiques de sécurité de navigation établies par votre institution, en particulier si vous utilisez Canvas avec un ordinateur fourni par votre institution.

Par défaut, lorsque vous affichez du contenu, Canvas utilise les préférences paramétrées par un navigateur en particulier. Certains navigateurs peuvent parfois effectuer des modifications dans les paramètres de confidentialité pour protéger les utilisateurs contre du contenu éventuellement non sécurisé. Le contenu non sécurisé est identifié avec le préfixe http:// dans l'URL et peut créer du contenu mixte dans votre page Canvas. Le contenu sécurisé est identifié avec le préfixe https:// dans l'URL. Pour une expérience utilisateur optimale, le contenu doit être sécurisé pour éviter tout conflit avec le navigateur.

  • Si vous êtes un administrateur Canvas, le contenu non sécurisé peut être causé par l'hébergement d'un fichier JS/CSS non sécurisé en dehors de Canvas. Si les téléchargements personnalisés sont pris en charge pour votre compte, vous pouvez héberger votre fichier dans l'éditeur de thème Canvas, ce qui résoudra tout conflit de navigateur.
  • Si vous êtes un instructeur Canvas et que vous intégrez des leçons Canvas dans vos cours, vous pouvez éviter les problèmes de navigateurs causés par des contenus mixtes en utilisant des URLs de guides Canvas sécurisées. 

Comportements de navigateurs connus

Chrome, Edge, Firefox et Safari utilisent HTML5 pour afficher le contenu des sites web, ce qui permet une navigation plus rapide et plus sécurisée. L'audio et la vidéo HTML5 peuvent ne pas être pris en charge par les anciens navigateurs. L'audio et la vidéo doivent donc toujours être utilisés via Flash. 

Pour des performances optimales sous Canvas, le contenu des cours doit de préférence être conçu pour prendre en charge le HTML5. Le contenu affecté dans les anciens navigateurs peut toujours être accessible en autorisant manuellement le contenu flash dans le navigateur.

Dans des navigateurs tels que Safari, le contenu non sécurisé ne s'affichera jamais.

Cependant, dans Chrome et Firefox, vous avez la possibilité de voir le contenu non sécurisé. Veuillez garder à l’esprit que des restrictions s'appliqueront peut-être, et consultez le contenu non sécurisé avec prudence.

Les problèmes suivants sont connus dans certains navigateurs qui peuvent bloquer ou créer du contenu mixte dans Canvas.

Sécurité Chrome

Sécurité Chrome

Google Chrome vérifie que le contenu du site Web que vous visualisez est transmis de façon sécurisée. Si vous visitez une page dans votre cours Canvas qui est liée à du contenu non sécurisé, Chrome affichera une icône bouclier [1] dans la barre d'adresse du navigateur.

Vous pouvez choisir d’ignorer la restriction de sécurité et afficher quand même le contenu en cliquant sur l’icône bouclier et en cliquant ensuite sur le bouton Charger le script non sécurisé (Load unsafe script) [2].

Autorisations Chrome multimédia

Chrome dispose de sa propre autorisation multimédia à l'intérieur du navigateur. Pour utiliser la caméra et le microphone de votre ordinateur dans toutes fonctions Canvas, vous devrez accepter deux autorisations :

  1. Autorisez l'accès à Canvas via les Paramètres Adobe Flash Player [1]. Ce message apparaît au centre de la fenêtre pop-up vidéo et audio, ou au centre du navigateur si vous êtes sur Conversations.
  2. Autorisez l'accès à Canvas via les paramètres d'autorisation multimédia de Chrome [2]. Ce message apparaît juste en dessous de la barre d'adresse. Cliquez sur le bouton Autoriser (Allow).

Sécurité Firefox

Sécurité Firefox

Firefox vérifie que le contenu du site Web que vous visualisez est transmis de façon sécurisée. Si vous visitez une page dans votre cours Canvas qui est liée à du contenu non sécurisé, Firefox affichera un cadenas avec une icône d'alerte dans la barre d'adresse du navigateur  [1].

Vous pouvez choisir d'ignorer la restriction de sécurité et afficher quand même le contenu en cliquant sur le cadenas avec l'icône d'alerte, en cliquant sur la flèche pour étendre les options [2] et en sélectionnant le bouton Désactiver la protection pour le moment (Disable protection for now) [3].

Spécifications informatiques

Pour obtenir les meilleures performances, il est conseillé d'accéder à Canvas à partir d'un ordinateur qui prend en charge les versions les plus récentes des navigateurs. Il est recommandé d'utiliser un ordinateur âgé de cinq ans ou plus récent avec au moins 1 Go de RAM.

Système d'exploitation

Canvas requiert uniquement un système d'exploitation capable d'exécuter les derniers navigateurs web compatibles. Le système d'exploitation de votre ordinateur doit être maintenu à jour avec les dernières mises à jour et mises à niveau de sécurité recommandées.

Débit Internet

Outre la compatibilité et les normes Web, Canvas a été soigneusement conçu pour s'adapter aux environnements à faible bande passante.

Il est recommandé d'avoir un débit Internet minimum de 512kbps.

Lecteurs d'écran

  • Macintosh : VoiceOver (dernière version pour Safari)
  • PC : JAWS (dernière version pour Firefox)
  • PC : NVDA (dernière version pour Firefox)
  • Chrome ne prend pas en charge les lecteurs d'écran pour Canvas.

Canvas sur les appareils mobiles

L'interface Canvas a été optimisée pour les affichage sur les ordinateurs de bureau, donc l'utilisation d'appareils de petite taille tels que des téléphones peut ne pas être une expérience agréable dans l'utilisation de Canvas. Pour une expérience utilisateur optimale, veuillez télécharger les applications mobiles Canvas.

Dans la mesure où Canvas utilise de petites parties de Flash, toutes les fonctions Canvas risquent de ne pas être supportées sur les appareils mobiles, particulièrement sur iOS. Cependant, Canvas ne propose qu'une prise en charge limitée des navigateurs mobiles natifs sur les tablettes. Pour plus d'informations, veuillez vous référer au guide de support limité des navigateurs mobiles.

Navigateurs mobile

Consultez l'Apple Store ou le Play Store pour télécharger des navigateurs pour mobiles. Les navigateurs principaux suivants sont compatibles avec les appareils mobiles :

iOS

  • Safari (navigateur par défaut, prise en charge par Canvas limitée)
  • Chrome
  • Photon Flash Player (prend Flash en charge)

Android

  • Chrome (navigateur par défaut, prise en charge par Canvas limitée)*
  • Internet
  • Firefox

 

*Le navigateur Android par défaut varie selon l'appareil mobile.